### Name: nparcomp-package
### Title: Nparcomp: Nonparametric relative contrast effects. With this
###   package it is possible to compute nonparametric relative contrast
###   effects and simultaneous confidence intervals for the effects.
### Aliases: nparcomp-package
### Keywords: package htest

### ** Examples


# two sample comparisons: Nonparametric Behrens-Fisher Problem

data(impla)
npar.t.test(impla~group, data = impla,
 asy.method = "t.app", p.perm = TRUE, alternative = "two.sided")

npar.t.test(impla~group, data = impla,
 asy.method = "logit", p.perm = TRUE, alternative = "two.sided")

   # no permutation test

npar.t.test(impla~group, data = impla,
 asy.method = "t.app", p.perm = FALSE, alternative = "two.sided")

#--Analysis of relative contrast effects in different contrast settings

data(liver)

 # Williams Contrast    

nparcomp(weight ~dosage, data=liver, asy.method = "probit",
 type = "Williams", alternative = "two.sided",
 plot.simci = TRUE, info = TRUE)

 # Dunnett Contrast

nparcomp(weight ~dosage, data=liver, asy.method = "probit",
 type = "Dunnett", alternative = "two.sided",
 plot.simci = TRUE, info = TRUE) 

 # Dunnett dose 3 is baseline

nparcomp(weight ~dosage, data=liver, asy.method = "probit",
 type = "Dunnett", control = "3",alternative = "two.sided",
 plot.simci = TRUE, info = TRUE) 


data(colu)

  # Tukey comparison - one sided(lower)

nparcomp(corpora ~dose, data=colu, asy.method = "mult.t",
 type = "Tukey",alternative = "lower", plot.simci = TRUE, info = TRUE)

  # Tukey comparison- one sided(greater)

nparcomp(corpora ~dose, data=colu, asy.method = "mult.t",
 type = "Tukey",alternative = "greater", plot.simci = TRUE, info = TRUE)

  # Tukey comparison- one sided(lower)

nparcomp(corpora ~dose, data=colu, asy.method = "mult.t",
 type = "Tukey",alternative = "lower", plot.simci = TRUE, info = TRUE)

  # Marcus comparison- one sided(greater)

nparcomp(corpora ~dose, data=colu, asy.method = "logit",
 type = "Marcus",alternative = "greater", plot.simci = TRUE, info = TRUE)




